/*
 *			s c r a p e . c
 */

/*)LIBRARY
*/

#ifdef DOCUMENTATION

title	scrape	Skip Nonwhite in Buffer
index		Skip nonwhite in buffer

synopsis

	int
	scrape(cpp)
	 char *cpp;	/* pointer to buffer pointer */

description

	Function to skip over nonwhite characters, leaving the 
	pointer set to the first whitespace character or ENDSTRING or
	NEWLINE.
	Returns Nothing.

bugs

author

	Machiavelli Systems

#endif

#include "symbols.h"



scrape(cpp)
char	**cpp;
{
	while (!iswhite(**cpp) && **cpp != ENDSTRING && **cpp != NEWLINE)
		(*cpp)++;
}
